Bug 621354 - report should not display http headers to users
report should not display http headers to users
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 16:01 EDT by Andrew Hecox
Modified: 2010-11-10 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version: report-0.18-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:29:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
case creation failing (19.70 KB, image/png)
2010-08-04 16:01 EDT, Andrew Hecox
no flags Details
case creation succeeding (20.86 KB, image/png)
2010-08-04 16:01 EDT, Andrew Hecox
no flags Details
QA - server messages in report gui after moving bug to ON_QA (119.92 KB, image/png)
2010-08-18 12:08 EDT, David Kutálek
no flags Details

  None (edit)
Description Andrew Hecox 2010-08-04 16:01:31 EDT
Created attachment 436650 [details]
case creation failing

report currently displays the http headers in it's GTK screens to the customers. See attached screenshots.
Comment 1 Andrew Hecox 2010-08-04 16:01:51 EDT
Created attachment 436651 [details]
case creation succeeding
Comment 2 Andrew Hecox 2010-08-04 16:02:43 EDT
Sly / Denise -- this is a very easy fix for us which I'd like to get in if possible. It's very ugly in the GTK screens for report users, eg, selinux.
Comment 3 Andrew Hecox 2010-08-04 16:03:15 EDT
for the failure case, we should just display the message returned; for the success case, we should just say "thank you" and a reference to the newly created case in the portal.
Comment 4 Gavin Romig-Koch 2010-08-11 09:18:02 EDT
In the end the safest change to accomplish this was just to not print out anything except the messages that the server sent for cases of success (http response codes 200 and 201) and user errror (400<=x<500).  For server error response codes (500 <= x < 600) we print out as much info as we have.

This means that to fully fix this we will need the server to improve the messages it sends.  This is in progress.

Someone, likely me, who knows what messages the server is sending will have to verify this bug.
Comment 6 David Kutálek 2010-08-18 12:08:35 EDT
Created attachment 439432 [details]
QA - server messages in report gui after moving bug to ON_QA
Comment 8 releng-rhel@redhat.com 2010-11-10 16:29:51 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.